[{block name="checkout_basket_preorder_print_articles"}]
    <table class="basket">
        <colgroup>
            [{block name="checkout_basket_basket_preorder_print_articles_cols"}]
                <col width="10">
                <col width="75">
                <col width="250">
                <col width="50">
                <col width="80">
                <col width="50">
                <col width="95">
                <col width="5">
            [{/block}]
        </colgroup>
        <!-- basket header -->
        <thead>
        <tr>
            [{block name="checkout_basket_basket_preorder_print_articles_header"}]
                <th>&nbsp;</th>
                <th>[{oxmultilang ident="D3_BASKET_ARTICEL"}]</th>
                <th>&nbsp;</th>
                <th>[{oxmultilang ident="D3_BASKET_QUANTITY"}]</th>
                <th align="right">[{oxmultilang ident="D3_BASKET_UNITPRICE"}]</th>
                <th>[{oxmultilang ident="D3_BASKET_TAX"}]</th>
                <th align="right">[{oxmultilang ident="D3_BASKET_TOTAL"}]</th>
                <th>&nbsp;</th>
            [{/block}]
        </tr>
        </thead>
        <!-- basket items -->
        <tbody>
            <tr>
                <td colspan="8"><hr class="basketprinline"></td>
            </tr>
            [{block name="checkout_basket_preorder_print_articles_items"}]
                [{assign var="basketitemlist" value=$oView->getBasketArticles()}]
                [{foreach key=basketindex from=$oxcmp_basket->getContents() item=basketitem name=d3basketContents}]
                    [{assign var="basketproduct" value=$basketitemlist.$basketindex}]
                    <tr valign="top" id="cartItem_[{$smarty.foreach.d3basketContents.iteration}]">
                        <!-- product image -->
                        <td>&nbsp;</td>
                        <td class="basketImage">
                            <img src="[{$basketproduct->getIconUrl()}]" alt="[{$basketproduct->oxarticles__oxtitle->value|strip_tags}]">
                        </td>

                        <!-- product title & number -->
                        <td>
                            <div>
                                [{$basketproduct->oxarticles__oxtitle->value}][{if $basketproduct->oxarticles__oxvarselect->value}], [{$basketproduct->oxarticles__oxvarselect->value}][{/if}]
                                [{if $basketitem->isSkipDiscount()}] <sup>**</sup>[{/if}]
                            </div>
                            <div>
                                [{oxmultilang ident="D3_BASKET_ARTNOMBER"}] [{$basketproduct->oxarticles__oxartnum->value}]
                            </div>

                            [{if !$basketitem->isBundle() || !$basketitem->isDiscountArticle()}]
                                [{if $basketproduct->getDispSelList()}]
                                    [{foreach key=iSel from=$basketproduct->getDispSelList() item=oList}]
                                        <select id="basketSelect_[{$smarty.foreach.d3basketContents.iteration}]_[{$iSel}]" name="aproducts[[{$basketindex}]][sel][[{$iSel}]]">
                                            [{foreach key=iSelIdx from=$oList item=oSelItem}]
                                                [{if $oSelItem->name}]
                                                    <option value="[{$iSelIdx}]"[{if $oSelItem->selected}]SELECTED[{/if}]>[{$oSelItem->name}]</option>
                                                [{/if}]
                                            [{/foreach}]
                                        </select>
                                    [{/foreach}]
                                [{/if}]
                                [{if $basketitem->getPersParams()}]
                                    <p class="persparamBox">
                                        [{foreach key=sVar from=$basketitem->getPersParams() item=aParam name=persparams}]
                                            [{if !$smarty.foreach.persparams.first}]<br />[{/if}]
                                            <strong>
                                                [{if $smarty.foreach.persparams.first && $smarty.foreach.persparams.last}]
                                                    [{oxmultilang ident="LABEL" suffix="COLON"}]
                                                [{else}]
                                                    [{$sVar}] :
                                                [{/if}]
                                            </strong> [{$aParam}]
                                        [{/foreach}]
                                    </p>
                                [{/if}]
                            [{/if}]
                        </td>

                        <!-- product quantity manager -->
                        <td align="center">
                            [{if !$basketitem->isBundle() || !$basketitem->isDiscountArticle()}]
                                [{$basketitem->getAmount()}]
                            [{/if}]
                            [{if $basketitem->getdBundledAmount() > 0 && ($basketitem->isBundle() || $basketitem->isDiscountArticle())}]
                                +[{$basketitem->getdBundledAmount()}]
                            [{/if}]
                        </td>

                        <!-- product price -->
                        <td class="totalsum" align="right">
                            [{if !$basketitem->isBundle() || !$basketitem->isDiscountArticle()}]
                                [{if $basketitem->getFUnitPrice()}][{$basketitem->getFUnitPrice()}]&nbsp;[{$oCur->sign}][{/if}]
                            [{/if}]
                        </td>

                        <!-- product VAT percent -->
                        <td align="center">
                            [{if !$basketitem->isBundle() || !$basketitem->isDiscountArticle()}]
                                [{$basketitem->getVatPercent()}]%
                            [{/if}]
                        </td>

                        <!-- product quantity * price -->
                        <td class="totalsum" align="right">
                            [{if !$basketitem->isBundle() || !$basketitem->isDiscountArticle()}]
                                [{$basketitem->getFTotalPrice()}]&nbsp;[{$oCur->sign}]
                            [{/if}]
                        </td>
                        <td>&nbsp;</td>
                    </tr>

                    [{foreach from=$Errors.basket item=oEr key=key}]
                        [{if $oEr->getErrorClassType() == 'oxOutOfStockException'}]
                            <!-- display only the exceptions for the current article-->
                            [{if $basketproduct->oxarticles__oxid->value == $oEr->getValue('productId')}]
                                <tr>
                                    <td class="brd"></td>
                                    <td id="basket_StockError_[{$basketproduct->oxarticles__oxid->value}]_[{$key}]" colspan="6">
                                        <span class="err">[{$oEr->getOxMessage()}] [{$oEr->getValue('remainingAmount')}]</span>
                                    </td>
                                    <td>&nbsp;</td>
                                </tr>
                            [{/if}]
                        [{/if}]
                        [{if $oEr->getErrorClassType() == 'oxArticleInputException'}]
                            [{if $basketproduct->oxarticles__oxid->value == $oEr->getValue('productId')}]
                                <tr class="notice">
                                    <td>&nbsp;</td>
                                    <td colspan="6">
                                        [{$oEr->getOxMessage()}]
                                    </td>
                                    <td>&nbsp;</td>
                                </tr>
                            [{/if}]
                        [{/if}]
                    [{/foreach}]
                    <tr>
                        <td colspan="8"><hr class="basketprinline"></td>
                    </tr>
                    <!--  basket items end  -->
                [{/foreach}]
            [{/block}]
            <!--  basket summary  -->
            [{block name="checkout_basket_preorder_print_articles_nodiscounts"}]
            [{if !$oxcmp_basket->getDiscounts()}]
                <tr>
                    <td colspan="3">&nbsp;</td>
                    <td colspan="3" class="sumdesc">[{oxmultilang ident="D3_BASKET_TOTALNET"}]</td>
                    <td class="totalsum" align="right">[{$oxcmp_basket->getProductsNetPrice()}]&nbsp;[{$oCur->sign}]</td>
                    <td>&nbsp;</td>
                </tr>
                [{foreach from=$oxcmp_basket->getProductVats() item=VATitem key=key}]
                    <tr>
                        <td colspan="3">&nbsp;</td>
                        <td colspan="3" class="sumdesc">[{oxmultilang ident="D3_BASKET_TAX1"}]&nbsp;[{$key}][{oxmultilang ident="D3_BASKET_TAX2"}]</td>
                        <td class="totalsum" align="right">[{$VATitem}]&nbsp;[{$oCur->sign}]</td>
                        <td>&nbsp;</td>
                    </tr>
                [{/foreach}]
            [{/if}]
            [{/block}]
            [{block name="checkout_basket_preorder_print_articles_totalgross"}]
            <tr>
                <td colspan="3">&nbsp;</td>
                <td colspan="3" class="sumdesc">[{oxmultilang ident="D3_BASKET_TOTALGROSS"}]</td>
                <td class="totalsum" align="right">[{$oxcmp_basket->getFProductsPrice()}]&nbsp;[{$oCur->sign}]</td>
                <td>&nbsp;</td>
            </tr>
            [{/block}]
            [{block name="checkout_basket_preorder_print_articles_discounts"}]
            [{if $oxcmp_basket->getDiscounts()}]
                <tr>
                    <td colspan="8"><hr class="basketprinline"></td>
                </tr>
                [{foreach from=$oxcmp_basket->getDiscounts() item=oDiscount name=d3basketDiscounts}]
                    <tr id="basketDiscount_[{$smarty.foreach.d3basketDiscounts.iteration}]">
                        <td></td>
                        <td colspan="5" class="sumdesc">
                            <b >[{if $oDiscount->dDiscount < 0}][{oxmultilang ident="D3_BASKET_CHARGE"}][{else}][{oxmultilang ident="D3_BASKET_DISCOUNT2"}][{/if}]&nbsp;</b>
                            [{$oDiscount->sDiscount}]:
                        </td>
                        <td class="totalsum" align="right">
                            [{if $oDiscount->dDiscount < 0}][{$oDiscount->fDiscount|replace:"-":""}][{else}]-[{$oDiscount->fDiscount}][{/if}]&nbsp;[{$oCur->sign}]
                        </td>
                        <td>&nbsp;</td>
                    </tr>
                [{/foreach}]
                <tr>
                    <td colspan="3">&nbsp;</td>
                    <td colspan="3" class="sumdesc">[{oxmultilang ident="D3_BASKET_TOTALNET"}]</td>
                    <td class="totalsum" align="right">[{$oxcmp_basket->getProductsNetPrice()}]&nbsp;[{$oCur->sign}]</td>
                    <td>&nbsp;</td>
                </tr>
                [{foreach from=$oxcmp_basket->getProductVats() item=VATitem key=key}]
                    <tr >
                        <td >&nbsp;</td>
                        <td colspan="5" class="sumdesc">[{oxmultilang ident="D3_BASKET_TAX1"}][{$key}][{oxmultilang ident="D3_BASKET_TAX2"}]</td>
                        <td class="totalsum" id="basketVAT_[{$key}]" align="right">[{$VATitem}]&nbsp;[{$oCur->sign}]</td>
                        <td>&nbsp;</td>
                    </tr>
                [{/foreach}]
            [{/if}]
            [{/block}]
            [{block name="checkout_basket_preorder_print_articles_voucher"}]
            [{if $oViewConf->getShowVouchers() && $oxcmp_basket->getVoucherDiscValue()}]
                <tr>
                    <td colspan="8"><hr class="basketprinline"></td>
                </tr>
                [{foreach from=$oxcmp_basket->getVouchers() item=oVoucher key=key name=Voucher}]
                    <tr>
                        <td colspan="3">&nbsp;</td>
                        <td colspan="3" class="coupon">
                            <strong>[{oxmultilang ident="D3_BASKET_COUPON"}]</strong>&nbsp;
                                    <span id="basketVoucher_[{$smarty.foreach.Voucher.iteration}]">
                                        ([{oxmultilang ident="D3_BASKET_NOMBER"}] [{$oVoucher->sVoucherNr}])
                                    </span> :
                        </td>
                        <td class="totalsum" align="right">
                            <span id="basketVoucherDiscount_[{$smarty.foreach.Voucher.iteration}]">-
                                [{$oVoucher->fVoucherdiscount}]&nbsp;
                                [{$oCur->sign}]
                            </span>
                        </td>
                        <td>&nbsp;</td>
                    </tr>
                [{/foreach}]
            [{/if}]
            [{/block}]
            [{block name="checkout_basket_preorder_print_articles_delcosts"}]
            [{if $oxcmp_basket->getDelCostNet()}]
                <tr>
                    <td colspan="8"><hr class="basketprinline"></td>
                </tr>
                <tr class="sumrow">
                    <td colspan="3">&nbsp;</td>
                    <td colspan="3" class="sumdesc">
                        [{if $oxcmp_basket->getDelCostVat()}]
                            [{oxmultilang ident="D3_BASKET_SHIPPINGNET"}]
                        [{else}]
                            [{oxmultilang ident="D3_BASKET_SHIPPING"}]
                        [{/if}]
                    </td>
                    <td class="totalsum" align="right">[{$oxcmp_basket->getDelCostNet()}]&nbsp;[{$oCur->sign}]</td>
                    <td>&nbsp;</td>
                </tr>
                [{if $oxcmp_basket->getDelCostVat()}]
                    <tr class="sumrow">
                        <td colspan="3">&nbsp;</td>
                        <td colspan="3" class="sumdesc">[{oxmultilang ident="D3_BASKET_PLUSTAX1"}] [{$oxcmp_basket->getDelCostVatPercent()}][{oxmultilang ident="D3_BASKET_PLUSTAX2"}]</td>
                        <td class="totalsum" align="right">[{$oxcmp_basket->getDelCostVat()}]&nbsp;[{$oCur->sign}]</td>
                        <td>&nbsp;</td>
                    </tr>
                [{/if}]
            [{/if}]
            [{/block}]
            [{block name="checkout_basket_preorder_print_articles_paycosts"}]
            [{if $oxcmp_basket->getPaymentCosts()}]
                <tr class="sumrow">
                    <td colspan="3">&nbsp;</td>
                    <td colspan="3" class="sumdesc">[{if $oxcmp_basket->getPaymentCosts() >= 0}][{oxmultilang ident="D3_BASKET_PAYMENT"}][{else}][{oxmultilang ident="D3_BASKET_CHARGE2"}][{/if}] [{oxmultilang ident="D3_BASKET_DISCOUNT3"}]</td>
                    <td class="totalsum" align="right">[{$oxcmp_basket->getPayCostNet()}]&nbsp;[{$oCur->sign}]</td>
                    <td>&nbsp;</td>
                </tr>
                [{if $oxcmp_basket->getPayCostVat()}]
                    <tr class="sumrow">
                        <td colspan="3">&nbsp;</td>
                        <td colspan="3" class="sumdesc">[{oxmultilang ident="D3_BASKET_PAYMENTTAX1"}][{$oxcmp_basket->getPayCostVatPercent()}][{oxmultilang ident="D3_BASKET_PAYMENTTAX2"}]</td>
                        <td class="totalsum" align="right">[{$oxcmp_basket->getPayCostVat()}]&nbsp;[{$oCur->sign}]</td>
                        <td>&nbsp;</td>
                    </tr>
                [{/if}]
            [{/if}]
            [{/block}]
            [{block name="checkout_basket_preorder_print_articles_trustedshops"}]
            [{if $oxcmp_basket->getTsProtectionCosts()}]
                <tr>
                    <td colspan="3">&nbsp;</td>
                    <td colspan="3" class="sumdesc">[{oxmultilang ident="D3_BASKET_TSPROTECTION"}]</td>
                    <td class="totalsum" align="right">[{$oxcmp_basket->getTsProtectionNet()}]&nbsp;[{$oCur->sign}]</td>
                    <td>&nbsp;</td>
                </tr>
                [{if $oxcmp_basket->getTsProtectionVat()}]
                    <tr class="sumrow">
                        <td colspan="3">&nbsp;</td>
                        <td colspan="3" class="sumdesc">[{oxmultilang ident="D3_BASKET_TSPROTECTIONCHARGETAX1"}] [{$oxcmp_basket->getTsProtectionVatPercent()}][{oxmultilang ident="D3_BASKET_TSPROTECTIONCHARGETAX2"}]</td>
                        <td class="totalsum" align="right">[{$oxcmp_basket->getTsProtectionVat()}]&nbsp;[{$oCur->sign}]</td>
                        <td>&nbsp;</td>
                    </tr>
                [{/if}]
            [{/if}]
            [{/block}]
            [{block name="checkout_basket_preorder_print_articles_wrappcost"}]
            [{if $oViewConf->getShowGiftWrapping() && $oxcmp_basket->getWrappCostNet()}]
                <tr class="sumrow">
                    <td colspan="3">&nbsp;</td>
                    <td colspan="3" class="sumdesc">[{if $oxcmp_basket->getWrappCostVat()}][{oxmultilang ident="D3_ORDER_WRAPPINGNET"}][{else}][{oxmultilang ident="D3_ORDER_WRAPPINGGROSS1"}][{/if}]</td>
                    <td class="totalsum" align="right">[{$oxcmp_basket->getWrappCostNet()}] [{$oCur->sign}]</td>
                    <td>&nbsp;</td>
                </tr>
                [{if $oxcmp_basket->getWrappCostVat()}]
                    <tr class="sumrow">
                        <td colspan="3">&nbsp;</td>
                        <td colspan="3" class="sumdesc">[{oxmultilang ident="D3_ORDER_WRAPPINGTAX1"}] [{$oxcmp_basket->getWrappCostVatPercent()}][{oxmultilang ident="D3_ORDER_WRAPPINGTAX2"}]</td>
                        <td class="totalsum" align="right">[{$oxcmp_basket->getWrappCostVat()}] [{$oCur->sign}]</td>
                        <td>&nbsp;</td>
                    </tr>
                [{/if}]
            [{/if}]
            [{/block}]
            <tr>
                <td colspan="3">&nbsp;</td>
                <td colspan="5"><hr class="basketprinline_small"></td>
            </tr>
            [{block name="checkout_basket_preorder_print_articles_totalsum"}]
            <tr class="sumrow total">
                <td colspan="3">&nbsp;</td>
                <td colspan="3" class="sumdesc">
                    <strong>[{oxmultilang ident="D3_GRAND_TOTAL"}]</strong>
                </td>
                <td class="totalsum" align="right">
                    <strong>[{$oxcmp_basket->getFPrice()}]&nbsp;[{$oCur->sign}]</strong>
                </td>
                <td>&nbsp;</td>
            </tr>
            [{/block}]
            <tr>
                <td colspan="8"><hr class="basketprinline"></td>
            </tr>
            [{block name="checkout_basket_preorder_print_articles_skipped_discount"}]
            [{if $oxcmp_basket->hasSkipedDiscount()}]
                <tr class="sumrow">
                    <td colspan="3">&nbsp;</td>
                    <td colspan="3">
                        <span class="totalsum">
                            <span class="note">**</span>
                            [{oxmultilang ident="D3_MESSAGE_COUPON_NOT_APPLIED_FOR_ARTICLES"}]
                        </span>
                    </td>
                    <td>&nbsp;</td>
                </tr>
            [{/if}]
            [{/block}]
        </tbody>
    </table>
[{/block}]